## php.java.bridge.http
Class PipeContextServer

    java.lang.Object
      php.java.bridge.http.PipeContextServer

All Implemented Interfaces:
  IContextServer

Direct Known Subclasses:
  SocketContextServer

    public class PipeContextServer

extends java.lang.Object
implements IContextServer

This class manages the ContextRunners. It pulls a ContextRunner from the list of available runners and invokes it. We currently check only if the number of runners requested is less than or equal to the number of runners created by the servlet requests.

Constructor Summary
`PipeContextServer(ContextServer contextServer, ThreadPool threadPool)` Create a new ContextServer using the ThreadPool.

Method Summary
`void` `destroy()` Destroy the server
`boolean` `isAvailable()` Check if the ContextServer is ready, i.e.
`boolean` `start(java.lang.String channelName)` Start the runner.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PipeContextServer

    public PipeContextServer(ContextServer contextServer,
                             ThreadPool threadPool)

  Create a new ContextServer using the ThreadPool.

  Parameters:
    `threadPool` - Obtain runnables from this pool. If null, new threads will be created.

Method Detail

### start

    public boolean start(java.lang.String channelName)

  Description copied from interface: `IContextServer`
  Start the runner.

  Specified by:
    `start` in interface `IContextServer`

### destroy

    public void destroy()

  Destroy the server

  Specified by:
    `destroy` in interface `IContextServer`

### isAvailable

    public boolean isAvailable()

  Check if the ContextServer is ready, i.e. it has created a server socket.

  Specified by:
    `isAvailable` in interface `IContextServer`
  Returns:
    true if there's a server socket listening, false otherwise.